#ifdef VHDL
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"


namespace morpheo              {
namespace behavioural          {

  void Interfaces::set_port (Vhdl * & vhdl)
  {
    if (not _list_interface->empty())
      {
	list<Interface>::iterator i     = _list_interface->begin();
	
	while (i != _list_interface->end())
	  {
	    (*i).set_port (vhdl);
	    ++i;
	  }
      }
  };

  void Interfaces::set_port (Vhdl_Testbench * & vhdl_testbench)
  {
    if (not _list_interface->empty())
      {
	list<Interface>::iterator i     = _list_interface->begin();
	
	while (i != _list_interface->end())
	  {
	    (*i).set_port (vhdl_testbench);
	    ++i;
	  }
      }
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
